[packages] add krb5, the MIT Kerberos 5 implementation (#6101)
[openwrt.org/packages.git] / net / krb5 / files / krb5kdc
blob:a/net/krb5/files/krb5kdc -> blob:b/net/krb5/files/krb5kdc
--- a/net/krb5/files/krb5kdc
+++ b/net/krb5/files/krb5kdc
@@ -1,1 +1,18 @@
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2009 OpenWrt.org
 
+START=60
+
+start() {
+	mkdir -p /var/tmp
+	mkdir -p /var/krb5kdc
+	
+	[ -f /var/krb5kdc/principal ] || ( echo; echo ) | kdb5_util create -s
+	
+	/usr/sbin/krb5kdc
+}
+
+stop() {
+	killall krb5kdc 2> /dev/null
+}
+

comments